Bug 803469 - Warning Unexpected error during load of:org.xmlpull.v1.XmlPullParserFactory when starting portal
Warning Unexpected error during load of:org.xmlpull.v1.XmlPullParserFactory w...
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.ER01
Unspecified Unspecified
unspecified Severity low
: ---
: 5.2.1.ER03
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 15:28 EDT by vramik
Modified: 2018-02-06 14:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8616 by hfnukal at 2012-03-19 07:42:41 EDT (show)
8616 by hfnukal at 2012-03-19 07:42:41 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 803469 - Warning Unexpected error during load of:org.xmlpull.v1.XmlPullParserFactory when starting portal

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/distribution/jboss-epp/serverAddon/gatein.ear/pom.xml (+8 / -0)


Attachments (Terms of Use)
warning when starting portal (10.06 KB, application/octet-stream)
2012-03-14 15:28 EDT, vramik
no flags Details

  None (edit)
Description vramik 2012-03-14 15:28:43 EDT
Created attachment 570078 [details]
warning when starting portal

Description of problem:

When portal starts sometimes Warning occur. Warning says:
Unexpected error during load of:org.xmlpull.v1.XmlPullParserFactory
java.lang.SecurityException: class "org.xmlpull.v1.XmlPullParserFactory"'s signer information does not match signer information of other classes in the same package

Unfortunately it doesn't happen all the time, but pretty often in my opinion. It seems that portal isn't affected by this warning. 

There are few links to jobs where warning occurs. It seems that portal isn't affected by this warning. 

https://hudson.qa.jboss.com/hudson/view/EPP5/job/epp5_ui_selenium_tests_browser_linux-ff-10.0.2/24

https://hudson.qa.jboss.com/hudson/view/EPP5/job/epp5_ui_selenium_tests_db_postgresql8.3.11/151

https://hudson.qa.jboss.com/hudson/view/EPP5/job/epp5_ui_selenium_tests_db_oracle11gR2-RAC/155

https://hudson.qa.jboss.com/hudson/view/EPP5/job/epp5_ui_selenium_tests_db_sybase15.5/45

I'm attaching full stacktrace.
Comment 1 Thomas Heute 2012-03-19 05:48:54 EDT
in gatein.ear/lib:

xpp3-1.1.4c.jar
xpp3_min-1.1.4c.jar

As of now, I can't tell if xpp3-1.1.4c.jar is required of if min is enough, for sure we shouldn't have both libs.
Comment 2 Thomas Heute 2012-03-19 05:57:12 EDT
Honza, please you remove the following from ER03 packaging:
xpp3:xpp3_min:jar:1.1.4c

Note You need to log in before you can comment on or make changes to this bug.